use crate::{data_format::DataFormat, speed_unit::SpeedUnit, temp_unit::TempUnit};

pub struct CurrentWeatherPrintParams {
    pub all: bool,
    pub is_day: bool,
    pub temperature: bool,
    pub temperature_unit: TempUnit,
    pub windspeed: bool,
    pub speed_unit: SpeedUnit,
    pub winddirection: bool,
    pub include_coords: bool,
    pub include_city: bool,
    pub format: DataFormat,
}

impl CurrentWeatherPrintParams {
    pub fn new(
        all: bool,
        is_day: bool,
        temperature: bool,
        temperature_unit: TempUnit,
        windspeed: bool,
        speed_unit: SpeedUnit,
        winddirection: bool,
        include_coords: bool,
        include_city: bool,
        format: DataFormat,
    ) -> CurrentWeatherPrintParams {
        CurrentWeatherPrintParams {
            all,
            is_day,
            temperature,
            temperature_unit,
            windspeed,
            speed_unit,
            winddirection,
            include_coords,
            include_city,
            format,
        }
    }
}
